html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font: inherit;
    font-size: 100%;
    vertical-align: baseline;
}

html {
    line-height: 2;
}

ol,
ul {
    list-style: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

caption,
th,
td {
    text-align: left;
    font-weight: normal;
    vertical-align: middle;
}

q,
blockquote {
    quotes: none;
}

q:before,
q:after,
blockquote:before,
blockquote:after {
    content: "";
    content: none;
}

a img {
    border: none;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
main,
menu,
nav,
section,
summary {
    display: block;
}

body {
    background-color: #142b2b;
    text-align: center;
}

div.block {
    position: relative;
    margin: auto 0;
    top: 50vh;
    -webkit-box-reflect: below -5px linear-gradient(rgba(0, 0, 0, 0), rgba(255, 255, 255, 0.3));
    -o-box-reflect: below -5px linear-gradient(rgba(0, 0, 0, 0), rgba(255, 255, 255, 0.3));
}

span {
    display: inline-block;
    font-family: arial;
    font-size: 10vh;
    margin-right: 2vw;
    -moz-transition: all 2s;
    -o-transition: all 2s;
    -webkit-transition: all 2s;
    transition: all 2s;
    -moz-transform: rotateY(0deg);
    -ms-transform: rotateY(0deg);
    -webkit-transform: rotateY(0deg);
    transform: rotateY(0deg);
    -moz-animation: colorRun 2s infinite;
    -webkit-animation: colorRun 2s infinite;
    animation: colorRun 2s infinite;
}

span:nth-child(1) {
    -moz-animation: colorRun 2s ease 0.1s infinite;
    -webkit-animation: colorRun 2s ease 0.1s infinite;
    animation: colorRun 2s ease 0.1s infinite;
    color: red;
}

span:nth-child(2) {
    -moz-animation: colorRun 2s ease 0.2s infinite;
    -webkit-animation: colorRun 2s ease 0.2s infinite;
    animation: colorRun 2s ease 0.2s infinite;
    color: yellow;
}

span:nth-child(3) {
    -moz-animation: colorRun 2s ease 0.3s infinite;
    -webkit-animation: colorRun 2s ease 0.3s infinite;
    animation: colorRun 2s ease 0.3s infinite;
    color: blue;
}

span:nth-child(4) {
    -moz-animation: colorRun 2s ease 0.4s infinite;
    -webkit-animation: colorRun 2s ease 0.4s infinite;
    animation: colorRun 2s ease 0.4s infinite;
    color: green;
}

span:nth-child(5) {
    -moz-animation: colorRun 2s ease 0.5s infinite;
    -webkit-animation: colorRun 2s ease 0.5s infinite;
    animation: colorRun 2s ease 0.5s infinite;
    color: red;
}

span:nth-child(6) {
    -moz-animation: colorRun 2s ease 0.6s infinite;
    -webkit-animation: colorRun 2s ease 0.6s infinite;
    animation: colorRun 2s ease 0.6s infinite;
    color: yellow;
}

span:nth-child(7) {
    -moz-animation: colorRun 2s ease 0.7s infinite;
    -webkit-animation: colorRun 2s ease 0.7s infinite;
    animation: colorRun 2s ease 0.7s infinite;
    color: blue;
}

span:nth-child(8) {
    -moz-animation: colorRun 2s ease 0.8s infinite;
    -webkit-animation: colorRun 2s ease 0.8s infinite;
    animation: colorRun 2s ease 0.8s infinite;
    color: green;
}

span:nth-child(9) {
    -moz-animation: colorRun 2s ease 0.9s infinite;
    -webkit-animation: colorRun 2s ease 0.9s infinite;
    animation: colorRun 2s ease 0.9s infinite;
    color: red;
}

span:nth-child(10) {
    -moz-animation: colorRun 2s ease 1s infinite;
    -webkit-animation: colorRun 2s ease 1s infinite;
    animation: colorRun 2s ease 1s infinite;
    color: yellow;
}

span:nth-child(11) {
    -moz-animation: colorRun 2s ease 1.1s infinite;
    -webkit-animation: colorRun 2s ease 1.1s infinite;
    animation: colorRun 2s ease 1.1s infinite;
    color: blue;
}

span:nth-child(12) {
    -moz-animation: colorRun 2s ease 1.2s infinite;
    -webkit-animation: colorRun 2s ease 1.2s infinite;
    animation: colorRun 2s ease 1.2s infinite;
    color: green;
}

span:nth-child(13) {
    -moz-animation: colorRun 2s ease 1.3s infinite;
    -webkit-animation: colorRun 2s ease 1.3s infinite;
    animation: colorRun 2s ease 1.3s infinite;
    color: red;
}

span:nth-child(14) {
    -moz-animation: colorRun 2s ease 1.4s infinite;
    -webkit-animation: colorRun 2s ease 1.4s infinite;
    animation: colorRun 2s ease 1.4s infinite;
    color: yellow;
}

span:nth-child(15) {
    -moz-animation: colorRun 2s ease 1.4s infinite;
    -webkit-animation: colorRun 2s ease 1.5s infinite;
    animation: colorRun 2s ease 1.5s infinite;
    color: rgb(4, 0, 255);
}

span:nth-child(16) {
    -moz-animation: colorRun 2s ease 1.4s infinite;
    -webkit-animation: colorRun 2s ease 1.6s infinite;
    animation: colorRun 2s ease 1.6s infinite;
    color: rgb(0, 255, 42);
}

span:nth-child(17) {
    -moz-animation: colorRun 2s ease 1.4s infinite;
    -webkit-animation: colorRun 2s ease 1.7s infinite;
    animation: colorRun 2s ease 1.7s infinite;
    color: rgb(255, 94, 0);
}

span:nth-child(18) {
    -moz-animation: colorRun 2s ease 1.4s infinite;
    -webkit-animation: colorRun 2s ease 1.8s infinite;
    animation: colorRun 2s ease 1.8s infinite;
    color: rgb(255, 0, 212);
}

span:nth-child(19) {
    -moz-animation: colorRun 2s ease 1.4s infinite;
    -webkit-animation: colorRun 2s ease 1.9s infinite;
    animation: colorRun 2s ease 1.9s infinite;
    color: rgb(0, 225, 255);
}

span:nth-child(20) {
    -moz-animation: colorRun 2s ease 1.4s infinite;
    -webkit-animation: colorRun 2s ease 2s infinite;
    animation: colorRun 2s ease 2s infinite;
    color: rgb(0, 255, 34);
}

span:nth-child(21) {
    -moz-animation: colorRun 2s ease 1.4s infinite;
    -webkit-animation: colorRun 2s ease 2.1s infinite;
    animation: colorRun 2s ease 2.1s infinite;
    color: yellow;
}

span:nth-child(22) {
    -moz-animation: colorRun 2s ease 1.4s infinite;
    -webkit-animation: colorRun 2s ease 2.2s infinite;
    animation: colorRun 2s ease 2.2s infinite;
    color: rgb(255, 102, 0);
}

span:nth-child(23) {
    -moz-animation: colorRun 2s ease 1.4s infinite;
    -webkit-animation: colorRun 2s ease 2.3s infinite;
    animation: colorRun 2s ease 2.3s infinite;
    color: rgb(255, 0, 13);
}

@-moz-keyframes colorRun {
    0% {
        -moz-transform: translateY(0) scaleX(1) rotateY(0deg) rotateX(0deg);
        transform: translateY(0) scaleX(1) rotateY(0deg) rotateX(0deg);
    }
    50% {
        -moz-transform: translateY(-25vh) scaleX(1) rotateY(360deg) rotateX(-360deg);
        transform: translateY(-25vh) scaleX(1) rotateY(360deg) rotateX(-360deg);
    }
    100% {
        -moz-transform: translateY(0) scaleX(1) rotateY(0deg);
        transform: translateY(0) scaleX(1) rotateY(0deg);
    }
}

@-webkit-keyframes colorRun {
    0% {
        -webkit-transform: translateY(0) scaleX(1) rotateY(0deg) rotateX(0deg);
        transform: translateY(0) scaleX(1) rotateY(0deg) rotateX(0deg);
    }
    50% {
        -webkit-transform: translateY(-25vh) scaleX(1) rotateY(360deg) rotateX(-360deg);
        transform: translateY(-25vh) scaleX(1) rotateY(360deg) rotateX(-360deg);
    }
    100% {
        -webkit-transform: translateY(0) scaleX(1) rotateY(0deg);
        transform: translateY(0) scaleX(1) rotateY(0deg);
    }
}

@keyframes colorRun {
    0% {
        -moz-transform: translateY(0) scaleX(1) rotateY(0deg) rotateX(0deg);
        -ms-transform: translateY(0) scaleX(1) rotateY(0deg) rotateX(0deg);
        -webkit-transform: translateY(0) scaleX(1) rotateY(0deg) rotateX(0deg);
        transform: translateY(0) scaleX(1) rotateY(0deg) rotateX(0deg);
    }
    50% {
        -moz-transform: translateY(-25vh) scaleX(1) rotateY(360deg) rotateX(-360deg);
        -ms-transform: translateY(-25vh) scaleX(1) rotateY(360deg) rotateX(-360deg);
        -webkit-transform: translateY(-25vh) scaleX(1) rotateY(360deg) rotateX(-360deg);
        transform: translateY(-25vh) scaleX(1) rotateY(360deg) rotateX(-360deg);
    }
    100% {
        -moz-transform: translateY(0) scaleX(1) rotateY(0deg);
        -ms-transform: translateY(0) scaleX(1) rotateY(0deg);
        -webkit-transform: translateY(0) scaleX(1) rotateY(0deg);
        transform: translateY(0) scaleX(1) rotateY(0deg);
    }
}